OpenThreads::AtomicPtr Class Reference

This class provides an atomic pointer assignment using cas operations. More...

`#include <Atomic>`

## Public Member Functions

| AtomicPtr (void *ptr=0)
| ~AtomicPtr ()
_OPENTHREADS_ATOMIC_INLINE bool | assign (void *ptrNew, const void *const ptrOld)
_OPENTHREADS_ATOMIC_INLINE void * | get () const

## Detailed Description

This class provides an atomic pointer assignment using cas operations.

## Constructor & Destructor Documentation

## AtomicPtr()

OpenThreads::AtomicPtr::AtomicPtr | ( | void * | ptr = 0 | ) |

inline

## ~AtomicPtr()

OpenThreads::AtomicPtr::~AtomicPtr | ( |  | ) |

inline

## Member Function Documentation

## assign()

_OPENTHREADS_ATOMIC_INLINE bool OpenThreads::AtomicPtr::assign | ( | void * | ptrNew,
|  | const void *const | ptrOld )

## get()

_OPENTHREADS_ATOMIC_INLINE void * OpenThreads::AtomicPtr::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- Atomic